Get the competitor analysis
curl --request GET \
--url https://perquery.ai/api/v1/sites/{site_uuid}/competitors/analysis \
--header 'Authorization: <api-key>'import requests
url = "https://perquery.ai/api/v1/sites/{site_uuid}/competitors/analysis"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://perquery.ai/api/v1/sites/{site_uuid}/competitors/analysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://perquery.ai/api/v1/sites/{site_uuid}/competitors/analysis",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://perquery.ai/api/v1/sites/{site_uuid}/competitors/analysis"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://perquery.ai/api/v1/sites/{site_uuid}/competitors/analysis")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://perquery.ai/api/v1/sites/{site_uuid}/competitors/analysis")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"share_of_voice": {
"brand": {
"name": "<string>",
"domain": "<string>",
"share": 123,
"visibility": 123,
"mentions": 123,
"avg_rank": 123,
"tracked": true,
"is_brand": true,
"delta": 123
},
"rivals": [
{
"name": "<string>",
"domain": "<string>",
"share": 123,
"visibility": 123,
"mentions": 123,
"avg_rank": 123,
"tracked": true,
"is_brand": true,
"delta": 123
}
],
"other": [
{
"name": "<string>",
"domain": "<string>",
"share": 123,
"visibility": 123,
"mentions": 123,
"avg_rank": 123,
"tracked": true,
"is_brand": true,
"delta": 123
}
],
"other_share": 123,
"leader": {
"name": "<string>",
"domain": "<string>",
"share": 123,
"visibility": 123,
"mentions": 123,
"avg_rank": 123,
"tracked": true,
"is_brand": true,
"delta": 123
},
"gap": 123
},
"trends": [
{
"name": "<string>",
"tracked": true,
"points": [
123
]
}
],
"trend_axis": [
"2023-11-07T05:31:56Z"
],
"beats": [
{
"competitor": "<string>",
"prompt_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt_text": "<string>",
"persona_name": "<string>",
"our_visibility": 123,
"their_visibility": 123,
"gap": 123,
"reason_code": "<string>",
"suggested_tool": "<string>",
"score": 123
}
],
"tracked_count": 123
}Competitors
Get the competitor analysis
Returns the share of voice of the brand and its competitors, the trends, and the prompts where a competitor is ahead. Use date_range to select the period (7g, 1a, 3a, 6a, 1y or custom with since and until). Use compare to select the comparison period (previous, previous_year or custom with compare_since and compare_until). Use persona and llm to limit the data to one persona and to some AI assistants.
GET
/
v1
/
sites
/
{site_uuid}
/
competitors
/
analysis
Get the competitor analysis
curl --request GET \
--url https://perquery.ai/api/v1/sites/{site_uuid}/competitors/analysis \
--header 'Authorization: <api-key>'import requests
url = "https://perquery.ai/api/v1/sites/{site_uuid}/competitors/analysis"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://perquery.ai/api/v1/sites/{site_uuid}/competitors/analysis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://perquery.ai/api/v1/sites/{site_uuid}/competitors/analysis",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://perquery.ai/api/v1/sites/{site_uuid}/competitors/analysis"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://perquery.ai/api/v1/sites/{site_uuid}/competitors/analysis")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://perquery.ai/api/v1/sites/{site_uuid}/competitors/analysis")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"share_of_voice": {
"brand": {
"name": "<string>",
"domain": "<string>",
"share": 123,
"visibility": 123,
"mentions": 123,
"avg_rank": 123,
"tracked": true,
"is_brand": true,
"delta": 123
},
"rivals": [
{
"name": "<string>",
"domain": "<string>",
"share": 123,
"visibility": 123,
"mentions": 123,
"avg_rank": 123,
"tracked": true,
"is_brand": true,
"delta": 123
}
],
"other": [
{
"name": "<string>",
"domain": "<string>",
"share": 123,
"visibility": 123,
"mentions": 123,
"avg_rank": 123,
"tracked": true,
"is_brand": true,
"delta": 123
}
],
"other_share": 123,
"leader": {
"name": "<string>",
"domain": "<string>",
"share": 123,
"visibility": 123,
"mentions": 123,
"avg_rank": 123,
"tracked": true,
"is_brand": true,
"delta": 123
},
"gap": 123
},
"trends": [
{
"name": "<string>",
"tracked": true,
"points": [
123
]
}
],
"trend_axis": [
"2023-11-07T05:31:56Z"
],
"beats": [
{
"competitor": "<string>",
"prompt_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt_text": "<string>",
"persona_name": "<string>",
"our_visibility": 123,
"their_visibility": 123,
"gap": 123,
"reason_code": "<string>",
"suggested_tool": "<string>",
"score": 123
}
],
"tracked_count": 123
}Authorizations
ApiKey pq_<prefix>_<secret>. An API key gives read-only access.
Path Parameters
Query Parameters
previous- previousprevious_year- previous_yearcustom- custom
Available options:
previous, previous_year, custom Minimum string length:
1The first day of a custom comparison.
The last day of a custom comparison.
7g- 7g1a- 1a3a- 3a6a- 6a1y- 1ycustom- custom
Available options:
7g, 1a, 3a, 6a, 1y, custom Minimum string length:
1chatgpt- chatgptgemini- geminiclaude- claudeperplexity- perplexitygoogleai- googleaigrok- grokdeepseek- deepseek
Available options:
chatgpt, gemini, claude, perplexity, googleai, grok, deepseek The first day of a custom range.
The last day of a custom range.

